<?php
/* 
	You will need a Flickr API Key get one from
	http://www.flickr.com/services/api/
*/
	$params = array(
		'api_key'	=> 'YOUR API KEY HERE',
		'method'	=> 'flickr.photosets.getPhotos',
		'photoset_id'	=> '72157623632371714',
		'extras' => 'url_m, tags', /*  Additionally get the image path and tags */
		'format'	=> 'php_serial',
	);	

	$encoded_params = array();
	foreach ($params as $k => $v){
		$encoded_params[] = urlencode($k).'='.urlencode($v);
	}
	
	$url = "http://api.flickr.com/services/rest/?".implode('&', $encoded_params);
	$rsp = file_get_contents($url);
	$rsp_obj = unserialize($rsp);
	
	/*  Finally we loop through the results filtering on the TAG */
?>
<div class="images">
	<ul>
		<?php
			if ($rsp_obj['stat'] == 'ok'){
				$c=1;
				foreach($rsp_obj['photoset']['photo'] as $photo) {
				
					/* Only show image if it has the TAG */
					if(stripos($photo['tags'], $_GET['tag']) !== false) {
						echo '<li><a href="#"><img src="'.$photo['url_m'].'" alt="" /></a></li>';
					}
					
					$c++;
				}
			}
		?>
	</ul>
</div>